Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000898TestLinkNew Featurepublic2007-06-12 19:252014-04-25 17:38
Reporterkencruickshank 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 RC 2 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0000898: Display IMAGE attachments in line
DescriptionWhen displaying the execution history curently the attachmenst from an excution are displayed as a attachment image link. This link pops up another window to display the notes.

This does mean that printing of the execution does not print teh attachment. So it may be best to display the attachment inline (or make this a configurable option)

Example of changes to execSetResulst.tpl:
Additional Information      <tr>
        <td>
        {* kjc change 009 display attachments in line *}
        <img src="lib/attachments/attachmentdownload.php?id={$info.id}"/>
        lib/attachments/attachmentdownload.php?id={$info.id} - <span class="italic">{$info.file_name|escape} ({$info.file_size|escape} bytes, {$info.file_type|escape}) {localize_date d=$info.date_added|escape}</span>
        {if !$downloadOnly}
        <a href="javascript:deleteAttachment_onClick({$info.id});">
        <img style="border:none" alt="{lang_get s='alt_delete_attachment'}"
                                 title="{lang_get s='alt_delete_attachment'}"
                                 src="{$smarty.const.TL_THEME_IMG_DIR}/trash.png"/></a>
        {/if}
        </td>
    </tr>
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0001767)
fman (administrator)
2007-06-13 23:13

disagree, because this page can become a mess, and difficult to read.
may be a better solution is a better implementation of printing function.
(0001785)
kencruickshank (reporter)
2007-06-15 22:30

Yes there is alot of information on tehy screen and it can become messy.

But often the image to be attached may be a screen capture of a particular problem.

Being able to view the image easily in line and print such an image woudl be good
(0001788)
fman (administrator)
2007-06-15 22:38

OK, but then this issue must change from:
display attachment online

to
display images attached online.

do you agree ?
(0001789)
kencruickshank (reporter)
2007-06-15 22:41

Yes, agreed
(0001816)
fman (administrator)
2007-06-21 22:30

My proposal is using the mantis method, i.e. configure a img size in Bytes,
if size > limit size -> no automatic display
else -> display inline
(0001817)
kencruickshank (reporter)
2007-06-22 19:03

What about adopting the approach as used to display the full execution history, by having an additional button 'Show Notes and Images inline'. This would then place full control with the user.
(0004049)
mhavlat (reporter)
2008-09-08 17:39

FCKeditor allows to upload and show images with text. Can anybody investigate a required FCKeditor configuration to allow such behavior? I will add it into Installation manual.
This will solve the problem without implementation effort and overloading structure of the page.

Another possibility is to use AJAX to show image over the page (so just icon will be added into page design - IMHO it's acceptable)
(0004056)
kencruickshank (reporter)
2008-09-09 13:43

The use of fckeditor to display the image would work. Would the image print when the print options are used?
(0004772)
olivier_houdas (reporter)
2008-12-05 23:29

I suggest changing \lib\attachments\attachmentdownload.php,
line
header("Content-Disposition: >>>>attachment<<<<; filename=\"{$attachmentInfo['file_name']}\"");
into
header("Content-Disposition: >>>>inline<<<<; filename=\"{$attachmentInfo['file_name']}\"");

With that change, the browser dialog will popup only if the file is not natively supported by the browser. In particular, images will be displayed in the browser (in a new window), without any question.
(0004773)
mhavlat (reporter)
2008-12-05 23:40

Hmmm, maybe we can support both ways from GUI in this case.
(0020530)
Chowarmaan (reporter)
2014-03-04 22:07

This is an old enhancement request that I do not believe has been done, but would be nice to have, similar to Mantis. Can this be considered for a near future build?

When we configure things for our testing, we quite often attach the screen shot of what it should look like to help the tester. It would be nice to have these in the printed documentation as well as the online test cases. We would want to save these images in the Test Documentation Output, especially of the test cases.
(0020532)
fman (administrator)
2014-03-05 17:46

in your note you are doing in addition another request, more difficult to implement.
Then I will ignore the part :
>> It would be nice to have these in the printed documentation as well as the >> online test cases. We would want to save these images in the Test Documentation
>>Output, especially of the test cases.

look for another issue where similar request has been done, and add note there if you want.

>> This is an old enhancement request that I do not believe has been done
our mantis workflow is simple: is status is not resolved then feature is not available.

You can try with suggested code if you want, and provide some feedback
(0020590)
fman (administrator)
2014-03-15 11:35

Solution to display inline
1. change suggested on note (0004772)
2. if file type is image => add new icon to allow display on line (no memory available)
Action will work on toogle mode.
(0020591)
fman (administrator)
2014-03-15 11:37

https://gitorious.org/testlink-ga/testlink-code/commit/4ee08474b8f0d28bff984e3c07c188212b2abff4 [^]
(0020816)
fman (administrator)
2014-04-25 17:38

1.9.10 released

- Issue History
Date Modified Username Field Change
2007-06-12 19:25 kencruickshank New Issue
2007-06-13 23:13 fman Note Added: 0001767
2007-06-15 22:30 kencruickshank Note Added: 0001785
2007-06-15 22:38 fman Note Added: 0001788
2007-06-15 22:41 kencruickshank Note Added: 0001789
2007-06-15 23:37 fman Summary Display attachments in line => Display IMAGE attachments in line
2007-06-21 22:30 fman Note Added: 0001816
2007-06-22 19:03 kencruickshank Note Added: 0001817
2008-09-08 17:39 mhavlat Note Added: 0004049
2008-09-08 17:39 mhavlat Status new => feedback
2008-09-09 13:43 kencruickshank Note Added: 0004056
2008-12-05 23:29 olivier_houdas Note Added: 0004772
2008-12-05 23:40 mhavlat Note Added: 0004773
2008-12-05 23:41 mhavlat Status feedback => acknowledged
2008-12-09 03:32 schlundus Status acknowledged => assigned
2008-12-09 03:32 schlundus Assigned To => schlundus
2009-01-30 05:21 schlundus Status assigned => acknowledged
2014-03-04 22:07 Chowarmaan Note Added: 0020530
2014-03-05 17:46 fman Note Added: 0020532
2014-03-05 20:56 fman Assigned To schlundus =>
2014-03-05 20:56 fman Status acknowledged => new
2014-03-15 11:35 fman Note Added: 0020590
2014-03-15 11:37 fman Note Added: 0020591
2014-03-15 11:38 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-03-15 11:38 fman Status new => resolved
2014-03-15 11:38 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-03-15 11:38 fman Resolution open => fixed
2014-03-15 11:38 fman Assigned To => fman
2014-03-15 11:39 fman Relationship added child of 0006048
2014-04-25 17:38 fman Note Added: 0020816
2014-04-25 17:38 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker